Package com.independentsoft.graph.teams

# Class Call

java.lang.Object
com.independentsoft.graph.teams.Call

All Implemented Interfaces:
  `ICreatable`

public class Call extends Object implements ICreatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Call()`
  `Call​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCallbackUri()`
  `String`
  `getCallChainId()`
  `CallDirection`
  `getDirection()`
  `String`
  `getId()`
  `MediaConfig`
  `getMediaConfig()`
  `CallMediaState`
  `getMediaState()`
  `String`
  `getMyParticipantId()`
  `List<Participant>`
  `getParticipants()`
  `List<Modality>`
  `getRequestedModalities()`
  `ResultInfo`
  `getResultInfo()`
  `ParticipantInfo`
  `getSource()`
  `CallState`
  `getState()`
  `String`
  `getSubject()`
  `List<InvitationParticipantInfo>`
  `getTargets()`
  `String`
  `getTenantId()`
  `void`
  `setCallbackUri​(String callbackUri)`
  `void`
  `setDirection​(CallDirection direction)`
  `void`
  `setMediaConfig​(MediaConfig mediaConfig)`
  `void`
  `setSource​(ParticipantInfo source)`
  `void`
  `setSubject​(String subject)`
  `void`
  `setTenantId​(String tenantId)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Call

    public Call()

  - ### Call

    public Call​(JsonObject jsonObject)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### getCallbackUri

    public String getCallbackUri()

  - ### setCallbackUri

    public void setCallbackUri​(String callbackUri)

  - ### getCallChainId

    public String getCallChainId()

  - ### getDirection

    public CallDirection getDirection()

  - ### setDirection

    public void setDirection​(CallDirection direction)

  - ### getMediaConfig

    public MediaConfig getMediaConfig()

  - ### setMediaConfig

    public void setMediaConfig​(MediaConfig mediaConfig)

  - ### getMediaState

    public CallMediaState getMediaState()

  - ### getMyParticipantId

    public String getMyParticipantId()

  - ### getRequestedModalities

    public List<Modality> getRequestedModalities()

  - ### getResultInfo

    public ResultInfo getResultInfo()

  - ### getSource

    public ParticipantInfo getSource()

  - ### setSource

    public void setSource​(ParticipantInfo source)

  - ### getState

    public CallState getState()

  - ### getSubject

    public String getSubject()

  - ### setSubject

    public void setSubject​(String subject)

  - ### getTargets

    public List<InvitationParticipantInfo> getTargets()

  - ### getTenantId

    public String getTenantId()

  - ### setTenantId

    public void setTenantId​(String tenantId)

  - ### getParticipants

    public List<Participant> getParticipants()

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource